body {
    color: #FFFFFF;
    background: black;
    background-image: url('../img/OC_circle_white_faded.png');
    background-size: 1200px 1200px;
    background-repeat: no-repeat;
    background-position: center;
    height: 100%;
    width: 100%;
    margin: 0px;
    padding: 0px;
    overflow: auto;
}

a:link {
    color: #ccc;
}

a:visited {
    color: #ccc;
}

.btn {
    padding: 10px;
    font-size: 15px;
    color: #ccc;
    background: darkred;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.offline {
    padding: 10px;
    font-size: 15px;
    color: black;
    background: darkgray;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.online {
    padding: 10px;
    font-size: 15px;
    color: black;
    background: darkgreen;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}


.top-bar {
    /*border: 1px solid darkred;*/
    display: block;
    width: 99%;
    height: 100px;
    float: left;
    overflow: hidden;
    text-align: center;
    color: black;
    padding: 1px;
}

.input-group {
    margin: 10px 0px 10px 0px;
}


/*main container*/
.stone_body {
    /*border: 1px solid darkred;*/
    width: 100%;
}

/*side container*/
.stone-select {
    /*border: 1px solid darkred;*/
    position: relative;
    height: 1000px;
    display: block;
    width: 300px;
    float: left;
    overflow: auto;
    text-align: left;
    color: grey;
    padding: 1px;
}

/*dropdown tags*/
.stone_input {
    font-optical-sizing: auto;
    font-size-adjust: none;
    font-kerning: auto;
    font-feature-settings: normal;
    font-variation-settings: normal;
    text-rendering: auto;
    letter-spacing: normal;
    word-spacing: normal;
    line-height: normal;
    text-transform: none;
    text-indent: 0px;
    text-shadow: none;
    display: block;
    text-align: start;
    appearance: auto;
    box-sizing: border-box;
    background-color: grey;
    color: black;
    font-variant: small-caps;
    font-size: 16px;
    border: 2px coral solid;
    border-radius: 10px;
    border-bottom-color: black;
    border-right-color: black;
    float: right;
}

::placeholder {
    color: black;
    opacity: 1; /* Firefox */
}

::-ms-input-placeholder { /* Edge 12-18 */
    color: black;
}

p {
    line-height: 30px;
}

/*right container*/
.stone-status {
    /*border: 1px solid darkred;*/
    height: 1000px;
    display: block;
    width: calc(100% - 310px);
    float: left;
    overflow: auto;
    text-align: center;
    color: lightgray;
}

/*container around table*/
.stone_table {
    /*border: 1px solid darkred;*/
    display: block;
    float: left;
    height: 99%;
    /*max-height: calc(100% - 30px);*/
    width: 99%;
    overflow: auto;
}

/*actual table tags*/

.sortable_table {
    border-collapse: collapse;
}

.sortable_table tr, td {
    background: #272727;
    font-weight: bold;
    background-size: 100% 100%;
    background-position: right;
    text-shadow: -1px 1px 8px #000,
    1px 1px 8px #000,
    1px -1px 8px #000,
    -1px -1px 8px #000;
    padding: 5px;
}

.sortable_table th {
    background: darkred;
    cursor: pointer;
    border-left: 1px solid black;
    border-right: 1px solid black;
    /*position: sticky;*/
    /*top: 0;*/
    padding: 5px;
}

.sortable_table th:hover {
    color: coral;
}

.sortable_table td {
    border-bottom: 1px solid darkgray;
    color: lightgray;
}

.sortable_table.sticky th {
    /*position: sticky;*/
    /*top: 0;*/
}

.sortable_table a:link {
    color: lightgray;
}

